Update ACME account status

Update the status of an ACME account

Path parameters
accountId
string (Internal ID) required

The ID of the account to update

Body required
application/json

Account compromise parameters

status
string (AccountStatus) required

The new status for the ACME account.

  • COMPROMISED: Final state. All certificates linked to that account will be revoked using the compromisedAt and compromissionReason parameters if defined.
  • REVOKED: Account is revoked.
  • DEACTIVATED: Account is deactivated.
  • SUSPENDED: Account is temporarily suspended.
  • VALID: Account is reactivated.
Enum valid deactivated suspended revoked compromised compromised_pending
compromisedAt
integer

Unix epoch time in milliseconds. Certificates issued after this date will be revoked.

compromissionReason
string | null (Revocation Reason)

One of: unspecified, keycompromise, cacompromise, affiliationchange, superseded, cessationofoperation

Responses
  • 200 ACME account status successfully updated
    _id
    string (Internal ID) required

    Object internal ID

    jwk
    object (JsonWebKey) required
    keyThumbprint
    string required
    status
    string (AccountStatus) required

    The current status of the ACME account. See AccountStatus for impact details.

    Enum valid deactivated suspended revoked compromised compromised_pending
    createdAt
    integer required
    contact
    array of string
    termsOfServiceAgreed
    boolean
    initialIp
    string
    eabName
    string
    compromisedAt
    integer

    The date when the account was compromised

    compromissionReason
    string | null (Revocation Reason)

    One of: unspecified, keycompromise, cacompromise, affiliationchange, superseded, cessationofoperation

  • 400 Invalid request
  • 401 Authentication error
  • 403 Forbidden action
  • 404 ACME account not found
    status
    integer required

    The http status code of the error. In compliance with RFC7807

    Value 404
    error
    string required

    The error code of the problem

    Value ACME-004
    message
    string required

    A short, human-readable summary of the problem type

    Value Account does not exist
    title
    string required

    A short, human-readable summary of the problem type. In compliance with RFC7807

    Value Account does not exist
    detail
    string | null

    A human-readable explanation specific to this occurrence of the problem. In compliance with RFC7807

  • 500 Unexpected internal server error